Fast Despatch Logistics (FDL) offers domestic shipping services for shipments from the United Kingdom, as well as an international service from the UK to Guernsey.
This guide provides developers an overview of shipping services that Fast Despatch Logistics offers and the service codes and other details that you will use to create Fast Despatch Logistics shipments.
ShipStation V2 API allows you to connect your Fast Despatch Logistics accounts programmatically without logging in to the ShipStation dashboard. This is useful if you have wrapped a custom UI around the ShipStation V2 API toolset and want to add or disconnect existing carrier accounts without exposing your end users to the dashboard.
These APIs can be used in parallel with the ShipStation Partner APIs to programmatically create new ShipStation users, and then connect existing Fast Despatch Logistics accounts all via the API without logging into a dashboard. Together these APIs empower you to completely white-label the ShipStation experience for your end users.
Continue below for instructions on how to programmatically connect Fast Despatch Logistics using the ShipStation V2 API.
To connect a Fast Despatch Logistics account via the ShipStation dashboard:
- Log in to your ShipStation account at https://ship.shipstation.com
- Navigate to Settings → Carriers
- Click Add Carrier and select Fast Despatch Logistics
- Follow the on-screen instructions to complete the connection
For instructions on connecting Fast Despatch Logistics programmatically, continue below.
| Property | Description | Type | Required |
|---|---|---|---|
shipper_uuid | Shipper UUID | string | required |
POST /v2/connections/carriers/fast_despatch_logistics
POST /v2/connections/carriers/fast_despatch_logistics HTTP/1.1
Host: api.shipstation.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"shipper_uuid": "123456789"
}Example Response
Your account will now appear in your carriers list with an assigned carrier_id that you will specify when creating Fast Despatch Logistics shipments.
A successful connection will return a response with the carrier_id, which you'll use for any requests for this account going forward.
| Service | API Code | Details |
|---|---|---|
| Fast Despatch Logistics - 24 Hour | fast_despatch_logistics_24h | Domestic |
| Fast Despatch Logistics - 24 Hour - GB to GG | fast_despatch_logistics_24h_gb_to_gg | International to Guernsey |
Both weight and dimensions are required for Fast Despatch Logistics shipments.
Max weight: 25kg
Max length: 120cm
Max volume: 150cm
NOTE:
Carriers may update their service options at any time. To ensure you are always using valid services, be sure to use the List Carrier Services call.
| Name | API Code | Package Attributes |
|---|---|---|
| Package | fast_despatch_logistics_package | Domestic, International |
Return services are not supported for this carrier.
Adding shipment insurance is not supported for this carrier.
Advanced options are not available for this carrier.
To ensure you always have the most up-to-date information, use the List Carrier Advanced Options call.
- Fast Despatch Logistics services support tracking.
- Multi-package shipping is supported for both available services.
- Fast Despatch Logistics supports adding
adult_signatureas a confirmation option to shipments. - Fast Despatch Logistics supports adding label messages.
You are now ready to create shipments using Fast Despatch Logistics via ShipStation!